(* 
 Speaks the  date and time of day
 
 Copyright 2008 Apple Inc. All rights reserved.
 
 You may incorporate this Apple sample code into your program(s) without
 restriction.  This Apple sample code has been provided "AS IS" and the
 responsibility for its operation is yours.  You are not permitted to
 redistribute this Apple sample code as "Apple sample code" after having
 made changes.  If you're going to redistribute the code, we require
 that you make it clear that the code was descended from Apple sample
 code, but that you've made changes.
 *)

on isVoiceOverRunning()
	set isRunning to false
	tell application "System Events"
		set isRunning to (name of processes) contains "VoiceOver"
	end tell
	return isRunning
end isVoiceOverRunning

on isVoiceOverRunningWithAppleScript()
	if isVoiceOverRunning() then
		set isRunningWithAppleScript to true
		
		-- is AppleScript enabled on VoiceOver --
		tell application "VoiceOver"
			try
				set x to bounds of vo cursor
			on error
				set isRunningWithAppleScript to false
			end try
		end tell
		return isRunningWithAppleScript
	end if
	return false
end isVoiceOverRunningWithAppleScript

set currentDate to current date
set amPM to "AM"
set currentHour to (currentDate's hours)
set currentMinutes to currentDate's minutes

--  make minutes below 10 sound nice
if currentMinutes < 10 then
	set currentMinutes to ("0" & currentMinutes) as text
end if
set miesiac to currentDate's month as integer

if miesiac is equal to 1 then
	set miesiacnazwa to "stycznia"
end if

if miesiac is equal to 2 then
	set miesiacnazwa to "lutego"
end if

if miesiac is equal to 3 then
	set miesiacnazwa to "marca"
end if

if miesiac is equal to 4 then
	set miesiacnazwa to "kwietnia"
end if

if miesiac is equal to 5 then
	set miesiacnazwa to "maja"
end if

if miesiac is equal to 6 then
	set miesiacnazwa to "czerwca"
end if

if miesiac is equal to 7 then
	set miesiacnazwa to "lipca"
end if

if miesiac is equal to 8 then
	set miesiacnazwa to "sierpnia"
end if

if miesiac is equal to 9 then
	set miesiacnazwa to "wrzesnia"
end if

if miesiac is equal to 10 then
	set miesiacnazwa to "pazdziernika"
end if
if miesiac is equal to 11 then
	set miesiacnazwa to "listopada"
end if

if miesiac is equal to 12 then
	set miesiacnazwa to "grudnia"
end if

set currentTime to (currentHour as text) & ":" & ((currentMinutes) as text) & " " & (currentDate's day) as text & " " & miesiacnazwa as text

if isVoiceOverRunningWithAppleScript() then
	tell application "VoiceOver"
		output currentTime
	end tell
else
	say currentTime
	delay 2
end if
